Subject: [clue] Today's Design Team call Topic: CLUE schema definition proposal

From: Mary Barnes <[email-masked]>
Date: Mon, 1 Oct 2012 07:40:56 -0500

Hi all,

In case you missed this thread, this will be the topic of today's meeting.
 Note, that we moved to Monday based on the doodle poll. The details on the
wiki (it's the same information):
http://trac.tools.ietf.org/wg/clue/trac/wiki/Design-Team

Regards,
Mary.

---------- Forwarded message ----------
From: Mary Barnes <[email-masked]>
Date: Thu, Sep 27, 2012 at 4:01 PM
Subject: Re: [clue] CLUE schema definition proposal
To: Paul Kyzivat <[email-masked]>
Cc: [email-masked]

I think it would be really good to have some discussion of this on Monday's
design team call as well.

Mary.

On Thu, Sep 27, 2012 at 3:03 PM, Paul Kyzivat <[email-masked]> wrote:

> Simon, Roberta,
>
> Thank you! Thank you! Thank you!!!!
>
> We really need this and until now it seemed we had nobody with the
> knowledge, cycles, and interest to do it.
>
> EVERYBODY: Please review this carefully and comment on things that don't
> agree with your understanding.
>
> I don't expect this to be "right" initially. One of the primary values it
> has is that it gives a formal syntax, rather than a vague one. So it is
> easier for someone to decide if it agrees with their understanding. So I
> expect review and discussion of this to result in a feedback loop with
> refinements to both this syntax and the framework.
>
> I will do a review myself. I expect I will do it a bit at a time, sending
> comments/questions as I go. I know enough XML to read and understand this,
> but not enough to write such a schema correctly, with good style and
> according to current best practice.
>
>         Thanks,
>         Paul
>
>
> On 9/27/12 10:37 AM, Simon Pietro Romano wrote:
>
>> Dear all,
>>
>> together with Roberta Presta, I have lately tried to get in synch with
>> the current state of the art in CLUE. In the next few days, we're going
>> to provide you with some feedback about both the framework and the data
>> model.
>> In the meantime, we have started to work on a schema definition for
>> CLUE, which has been included in a straw-man draft proposal that you can
>> find on-line at the following URL:
>>
>> http://www.ietf.org/id/draft-**presta-clue-data-model-schema-**00.txt<http://www.ietf.org/id/draft-presta-clue-data-model-schema-00.txt>
>>
>> We hope this can foster discussion and prove useful for completing the
>> on-going work. As a first, very high level comment, we think that the
>> framework document might be somehow restructured in order to just
>> contain the
>> overall description of the CLUE architecture and components, without
>> delving into the details associated with the data structures. On the
>> other hand, a new document might be proposed, which basically merges the
>> already existing
>> data model draft from Allyn and Andy
>> (http://tools.ietf.org/html/**draft-romanow-clue-data-model-**01<http://tools.ietf.org/html/draft-romanow-clue-data-model-01>)
>> and the
>> 'schema definition' draft we are working on. If this sounds reasonable
>> to the WG, we might then also add some more information
>> to the current call flows documents
>> (http://tools.ietf.org/html/**draft-romanow-clue-call-flow-**02<http://tools.ietf.org/html/draft-romanow-clue-call-flow-02>and
>> http://tools.ietf.org/html/**draft-kyzivat-clue-**telemedical-callflow-01<http://tools.ietf.org/html/draft-kyzivat-clue-telemedical-callflow-01>
>> ),
>> basically showing the exact content of the CLUE messages (and
>> transported data). For this last part, we might work on automatically
>> generating CLUE-compliant data structures, starting from the schema
>> definition, in much the same way as we did for both XCON and MEDIACTRL
>> in the past.
>>
>> If you think this is worth discussing, we can talk about the details
>> during next Monday's conference call.
>>
>> Cheers,
>>
>> Simon and Roberta
>>
>>
>>        _\\|//_
>>        ( O-O )
>>     ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)**~~00o~~~~~~~~~~~~~~~~~~~~~~~~
>> Simon Pietro Romano
>> Universita' di Napoli Federico II
>>       Computer Engineering Department
>>               Phone: +39 081 7683823 -- Fax: +39 081 7683816
>>                                             e-mail: [email-masked]
>> <mailto:[email-masked]>
>>
>>
>>      <<Molti mi dicono che lo scoraggiamento Ë l'alibi degli
>>      idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
>>                       oooO
>>    ~~~~~~~~~~~~~~~~~~~~~~~(   )~~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
>>                   \ (            (   )
>>                                    \_)          ) /
>>
>> (_/
>>
>>
>>
>>
>>
>>
>>
>> ______________________________**_________________
>> clue mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/**listinfo/clue<https://www.ietf.org/mailman/listinfo/clue>
>>
>>
> ______________________________**_________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/clue<https://www.ietf.org/mailman/listinfo/clue>
>